xine-lib: win32_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
win32_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
const win32_visual_t * | win32_visual
HWND | WndHnd
RECT | WndRect
xine_t * | xine
LPDIRECTDRAW | ddobj
LPDIRECTDRAWSURFACE | primary
LPDIRECTDRAWSURFACE | secondary
LPDIRECTDRAWCLIPPER | ddclipper
uint8_t * | contents
win32_frame_t * | current
int | req_format
int | act_format
uint32_t | width
uint32_t | height
double | ratio
vo_directx_hwaccel_enum | hwaccel
yuv2rgb_factory_t * | yuv2rgb_factory
yuv2rgb_t * | yuv2rgb
int | mode
int | bytespp
DDPIXELFORMAT | primary_pixel_format
DDSURFACEDESC | ddsd
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ act_format

int win32_driver_t::act_format

Referenced by CreateSecondary(), DisplayFrame(), and win32_display_frame().

## ◆ alphablend_extra_data

alphablend_t win32_driver_t::alphablend_extra_data

Referenced by Destroy(), and win32_overlay_blend().

## ◆ bytespp

int win32_driver_t::bytespp

Referenced by CheckPixelFormat(), and win32_display_frame().

## ◆ contents

uint8_t* win32_driver_t::contents

Referenced by win32_display_frame().

## ◆ current

win32_frame_t* win32_driver_t::current

Referenced by win32_display_frame(), and win32_set_property().

## ◆ ddclipper

LPDIRECTDRAWCLIPPER win32_driver_t::ddclipper

Referenced by CreatePrimary(), Destroy(), and win32_gui_data_exchange().

## ◆ ddobj

LPDIRECTDRAW win32_driver_t::ddobj

Referenced by CreatePrimary(), CreateSecondary(), Destroy(), and win32_gui_data_exchange().

## ◆ ddsd

DDSURFACEDESC win32_driver_t::ddsd

Referenced by Lock(), and win32_display_frame().

## ◆ height

uint32_t win32_driver_t::height

Referenced by CreateSecondary(), DisplayFrame(), and win32_display_frame().

## ◆ hwaccel

vo_directx_hwaccel_enum win32_driver_t::hwaccel

Referenced by CreateSecondary().

## ◆ mode

int win32_driver_t::mode

Referenced by CheckPixelFormat().

## ◆ primary

LPDIRECTDRAWSURFACE win32_driver_t::primary

Referenced by CheckPixelFormat(), CreatePrimary(), Destroy(), and DisplayFrame().

## ◆ primary_pixel_format

DDPIXELFORMAT win32_driver_t::primary_pixel_format

Referenced by CheckPixelFormat(), and CreateSecondary().

## ◆ ratio

double win32_driver_t::ratio

Referenced by DisplayFrame(), and win32_display_frame().

## ◆ req_format

int win32_driver_t::req_format

Referenced by CreateSecondary(), and win32_display_frame().

## ◆ secondary

LPDIRECTDRAWSURFACE win32_driver_t::secondary

Referenced by CreateSecondary(), Destroy(), DisplayFrame(), and win32_display_frame().

## ◆ vo_driver

vo_driver_t win32_driver_t::vo_driver

## ◆ width

uint32_t win32_driver_t::width

Referenced by CreateSecondary(), DisplayFrame(), and win32_display_frame().

## ◆ win32_visual

const win32_visual_t* win32_driver_t::win32_visual

Referenced by CreatePrimary(), DisplayFrame(), and win32_gui_data_exchange().

## ◆ WndHnd

HWND win32_driver_t::WndHnd

Referenced by CreatePrimary(), and win32_gui_data_exchange().

## ◆ WndRect

RECT win32_driver_t::WndRect

Referenced by CreatePrimary(), DisplayFrame(), and win32_gui_data_exchange().

## ◆ xine

xine_t* win32_driver_t::xine

Referenced by CreatePrimary(), CreateSecondary(), and win32_update_frame_format().

## ◆ yuv2rgb

yuv2rgb_t* win32_driver_t::yuv2rgb

Referenced by Destroy(), and win32_display_frame().

## ◆ yuv2rgb_factory

yuv2rgb_factory_t* win32_driver_t::yuv2rgb_factory

Referenced by Destroy().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_directx.c